Subject: Re: [PATCH v2] ci: avoid pounding on the poor ci-artifacts container

From: Junio C Hamano <[email-masked]>
Date: Fri, 15 May 2020 08:09:36 -0700

"Johannes Schindelin via GitGitGadget" <[email-masked]>
writes:

> From: Johannes Schindelin <[email-masked]>
>
> When this developer tested how the git-sdk-64-minimal artifact could be
> served to all the GitHub workflow runs that need it, Azure Blobs looked
> like a pretty good choice: it is reliable, fast and we already use it in
> Git for Windows to serve components like OpenSSL, cURL, etc
>
> It came as an unpleasant surprise just _how many_ times this artifact
> was downloaded. It exploded the bandwidth to a point where the free tier
> would no longer be enough, threatening to block other, essential Git for
> Windows services.
>
> Let's switch back to using the Build Artifacts of our trusty Azure
> Pipeline for the time being.
>
> To avoid unnecessary hammering of the Azure Pipeline artifacts, we use
> the GitHub Action `actions/upload-artifact` in the `windows-build` job
> and the GitHub Action `actions/download-artifact` in the `windows-test`
> and `vs-test` jobs (the latter now depends on `windows-build` for that
> reason, too).
>
> Helped-by: Đoàn Trần Công Danh <[email-masked]>
> Signed-off-by: Johannes Schindelin <[email-masked]>
> ---
>     
>     Change since v1:
>     
>      * Simplifying the scripted code by using jq (thanks, Danh!)

Thanks, both.  Will replace and let's merge it down before -rc1.